Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRCommonImage

All Superinterfaces:
  JRBoxContainer, JRCommonElement, JRCommonGraphicElement, JRPenContainer, JRStyleContainer

All Known Subinterfaces:
  JRImage, JRPrintImage

All Known Implementing Classes:
  JRBaseImage, JRBasePrintImage, JRDesignImage, JRFillImage, JRRecordedValuesPrintImage, JRTemplateImage, JRTemplatePrintImage

    public interface JRCommonImage

extends JRCommonGraphicElement, JRBoxContainer

Version:
  $Id: JRCommonImage.java 3583 2010-03-12 11:35:40Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`java.lang.Byte` | `getOwnScaleImage()` Deprecated. Replaced by `getOwnScaleImageValue()`.
`ScaleImageEnum` | `getOwnScaleImageValue()` Gets the image own scale type.
`byte` | `getScaleImage()` Deprecated. Replaced by `getScaleImageValue()`.
`ScaleImageEnum` | `getScaleImageValue()` Gets the image scale type.
`void` | `setScaleImage(byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(java.lang.Byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(ScaleImageEnum scaleImageEnum)` Sets the image scale type.

Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement
`getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, setFill, setFill, setFill`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer
`getDefaultLineColor, getLineBox`

Method Detail

### getScaleImage

    byte getScaleImage()

  Deprecated. Replaced by `getScaleImageValue()`.

### getOwnScaleImage

    java.lang.Byte getOwnScaleImage()

  Deprecated. Replaced by `getOwnScaleImageValue()`.

### setScaleImage

    void setScaleImage(byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

### setScaleImage

    void setScaleImage(java.lang.Byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

### getScaleImageValue

    ScaleImageEnum getScaleImageValue()

  Gets the image scale type.

  Returns:
    a value representing one of the scale type constants in `ScaleImageEnum`

### getOwnScaleImageValue

    ScaleImageEnum getOwnScaleImageValue()

  Gets the image own scale type.

  Returns:
    a value representing one of the scale type constants in `ScaleImageEnum`

### setScaleImage

    void setScaleImage(ScaleImageEnum scaleImageEnum)

  Sets the image scale type.

  Parameters:
    `scaleImageEnum` - a value representing one of the scale type constants in `ScaleImageEnum`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com